initInstall("Duplicate Tab 1.0", "/Twanno/duplicatetab/", "1.0");

var resources = loadResources
var chromeDir = getFolder("Profile", "chrome");

addFile("duplicatetab", "chrome/duplicatetab.jar", chromeDir, "");

var err1 = getLastError();
var err2 = addFile("duplicatetab-pref", "defaults/preferences/duplicatetab.js", getFolder("Program", "defaults/pref"), "");

// probably no access to installation directory, but that should not cancel the installation.
if (err1 == 0 && err2 < 0)
  resetError();

registerChrome(PACKAGE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "content/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/en-US/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/nl-NL/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/de-DE/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/fr-FR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/it-IT/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/es-ES/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/ja-JP/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/bg-BG/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/pl-PL/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/pt-BR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/sk-SK/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/ru-RU/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/cs-CZ/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/es-AR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/hu-HU/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/hr-HR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/zh-TW/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/uk-UA/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/ro-RO/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/ko-KR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/da-DK/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/nb-NO/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/sl-SI/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/lt-LT/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/tr-TR/duplicatetab/");
registerChrome(LOCALE | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "locale/zh-CN/duplicatetab/");
registerChrome(SKIN | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "skin/classic/duplicatetab/seamonkey/");
registerChrome(SKIN | PROFILE_CHROME, getFolder(chromeDir,"duplicatetab.jar"), "skin/modern/duplicatetab/");

var err = getLastError();
if (0 == err)
  performInstall();
else
  cancelInstall(err);
